CMSIS-DSP: CMakeLists.txt File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CMakeLists.txt File Reference

## Functions

cmake_minimum_required (VERSION 3.14) project(CMSISDSPInterpolation) include(configLib) include(configDsp) add_library(CMSISDSPInterpolation STATIC) target_sources(CMSISDSPInterpolation PRIVATE arm_bilinear_interp_f32.c) target_sources(CMSISDSPInterpolation PRIVATE arm_bilinear_interp_q15.c) target_sources(CMSISDSPInterpolation PRIVATE arm_bilinear_interp_q31.c) target_sources(CMSISDSPInterpolation PRIVATE arm_bilinear_interp_q7.c) target_sources(CMSISDSPInterpolation PRIVATE arm_linear_interp_f32.c) target_sources(CMSISDSPInterpolation PRIVATE arm_linear_interp_q15.c) target_sources(CMSISDSPInterpolation PRIVATE arm_linear_interp_q31.c) target_sources(CMSISDSPInterpolation PRIVATE arm_linear_interp_q7.c) target_sources(CMSISDSPInterpolation PRIVATE arm_spline_interp_f32.c) target_sources(CMSISDSPInterpolation PRIVATE arm_spline_interp_init_f32.c) configLib(CMSISDSPInterpolation $

| configDsp (CMSISDSPInterpolation ${ROOT}) target_include_directories(CMSISDSPInterpolation PUBLIC"$

## Function Documentation

cmake_minimum_required | ( | VERSION 3. | 14 | ) |

configDsp | ( | CMSISDSPInterpolation ${ROOT} |  | ) |